# $Revision: 1.8 $, $Date: 2008/07/27 22:23:21 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	iLBC Speech Coder
Summary(pl.UTF-8):	Koder mowy iLBC
Name:		libilbc
Version:	1.0
Release:	3
License:	Global IP Sound v2.0 (requires registration for non-personal use)
Group:		Libraries
Source0:	http://simon.morlat.free.fr/download/1.3.x/source/ilbc-rfc3951.tar.gz
# Source0-md5:	c53bb4f1d7184789ab90d2d33571e78a
Source1:	http://ilbcfreeware.org/documentation/gips_iLBClicense.pdf
# Source1-md5:	71cee7ed8e5d5440a53845e7043c4cb5
URL:		http://ilbcfreeware.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
iLBC (internet Low Bitrate Codec) is a FREE speech codec suitable for
robust voice communication over IP. The codec is designed for narrow
band speech and results in a payload bit rate of 13.33 kbps with an
encoding frame length of 30 ms and 15.20 kbps with an encoding length
of 20 ms. The iLBC codec enables graceful speech quality degradation
in the case of lost frames, which occurs in connection with lost or
delayed IP packets.

%description -l pl.UTF-8
iLBC (internet Low Bitrate Codec) to darmowy kodek mowy nadajacy się
do komunikacji głosowej po IP. Kodek jest zaprojektowany ograniczonych
łącz, a w efekcie wykorzystuje 13.33 kbit/s przy ramce o długości 30
ms i 15.20 kbit/s przy ramce o długości 20 ms. Kodek iLBC umożliwia
obniżenie jakości mowy w przypadku utraconych ramek, co zdarza się w
przypadku utraty połączenia lub opóźnionych pakietów IP.

%package devel
Summary:	Header files for iLBC library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki iLBC
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for iLBC library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki iLBC.

%package static
Summary:	Static iLBC library
Summary(pl.UTF-8):	Statyczna biblioteka iLBC
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static iLBC library.

%description static -l pl.UTF-8
Statyczna biblioteka iLBC.

%prep
%setup -q -n ilbc-rfc3951
cp %{SOURCE1} .

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS *.pdf
%attr(755,root,root) %{_libdir}/libilbc.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libilbc.so
%{_libdir}/libilbc.la
%{_includedir}/ilbc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libilbc.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libilbc.spec,v $
Revision 1.8  2008/07/27 22:23:21  arekm
- release 3

Revision 1.7  2007-02-12 22:09:10  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.5  2006/07/11 06:12:50  arekm
- no autoheader (not needed)

Revision 1.4  2006/07/10 15:57:24  charles
- static_libs bcond

Revision 1.3  2006/05/26 11:09:17  qboosh
- separated devel,static

Revision 1.2  2006/05/26 10:32:11  qboosh
- pl

Revision 1.1  2006/05/24 14:11:02  radek
- new
